#!/bin/bash

CONF_FILE=/etc/lightdm/lightdm.conf
TEMP_CONF_FILE=/etc/lightdm/lightdm.conf.bkup

LIGHTDM_CONF_FILE=/usr/share/lightdm/lightdm.conf.d/01_debian.conf
LIGHTDM_TEMP_CONF_FILE=/usr/share/lightdm/lightdm.conf.d/01_debian.conf.bkup

bkup_init() {
    echo "bkup_init start"
    if [ -f "${CONF_FILE}" ]; then
        cp "${CONF_FILE}" "${TEMP_CONF_FILE}"
    fi

    cat > "${CONF_FILE}" <<EOF
[Seat:*]
greeter-setup-script=/usr/bin/bkup.sh
EOF

    if [ -f "${LIGHTDM_CONF_FILE}" ]; then
        cp "${LIGHTDM_CONF_FILE}" "${LIGHTDM_TEMP_CONF_FILE}"
    fi

    cat > "${LIGHTDM_CONF_FILE}" <<EOF
[Seat:*]
greeter-session=lightdm-greeter
greeter-hide-users=true
session-wrapper=/etc/X11/Xsession
EOF
}

start_bkup_init()
{
    if [[ ! -f $TEMP_CONF_FILE ]];then
        bkup_init
    fi
}


rm -rf /media/*
rm -f /etc/udev/rules.d/99-automount.rules
mount -t tmpfs -o size=10m tmpfs /opt/tmpfs
cp /opt/baksys/99-automount.rules /opt/tmpfs/99-automount.rules
ln -s /opt/tmpfs/99-automount.rules /etc/udev/rules.d/99-automount.rules

start_bkup_init

exit 0


